> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toffeepay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete Payment

> Captures a payment for the session after authorization



## OpenAPI

````yaml POST /v1/payments/{id}/complete
openapi: 3.1.0
info:
  title: ToffeePay API
  description: Public API for game partners
  version: 0.1.1
servers:
  - url: https://api.toffeepay.com
    description: Production
  - url: https://api.sandbox.toffeepay.com
    description: Sandbox
security:
  - BearerAuth: []
paths:
  /v1/payments/{id}/complete:
    post:
      summary: CompletePayment
      description: Captures a payment for the session after authorization
      operationId: PaymentService_CompletePayment
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: id
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pay.v1.CompletePaymentResponse'
components:
  schemas:
    pay.v1.CompletePaymentResponse:
      type: object
      title: CompletePaymentResponse
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````